- name: check updates
  pacman: 
   update_cache: yes
   upgrade: yes

# Configure pacman (colorize and repos)
- include_tasks: pacman.yml

# Basic apps (vlc, kitty, etc.)
- include_tasks: core-apps.yml

# Install and configure zsh
- include_tasks: zsh.yml
  when: setup_zsh == True

# Install and configure spacevim
- include_tasks: spacevim.yml
  when: install_spacevim == True

# Install laptop specific softwares
- include_tasks: laptop.yml
  when: is_laptop == True

# Install and configure doom emacs
- include_tasks: doom-emacs.yml
  when: install_doom == True

# Install KDE and Additional Plasma Applications
- include_tasks: kde.yml
  when: install_kde == True

# Install dwm
- include_tasks: dwm.yml
  when: install_dwm == True

- include_tasks: disk-permission.yml

# Web Browser
- include_tasks: "{{browser}}.yml"

# Terminal web browsers
- include_tasks: terminal_browsers.yml
  when: install_terminal_browsers == True

# Office
- include_tasks: office.yml
  when: install_office == True

# Console based Email
- include_tasks: aerc.yml
  when: install_aerc == True
  
# AUR apps
- include_tasks: aur.yml
  when: use_aur == True

# Keyboard settings
- include_tasks: keyboard.yml
  when: install_keyboard == True

- include_tasks: virtualization.yml
  when: install_virtualization == True

- include_tasks: docker.yml
  when: install_docker == True

- include_tasks: python_dev.yml
  when: install_python_dev == True

# Dotfiles
- include_tasks: dotfiles.yml
  when: pull_dotfiles == True
